Bug 525894 - setroubleshoot: SELinux is preventing /usr/bin/empathy "execmem" access on <Unknown>.
Summary: setroubleshoot: SELinux is preventing /usr/bin/empathy "execmem" access ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 12
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:886dbc4fd9c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-26 20:06 UTC by vinod
Modified: 2010-12-04 07:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 07:37:58 UTC


Attachments (Terms of Use)

Description vinod 2009-09-26 20:06:26 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing /usr/bin/empathy "execmem" access on <Unknown>.

Detailed Description:

[nv-tmp-Rw0bxx has a permissive type (unconfined_t). This access was not
denied.]

SELinux denied access requested by empathy. The current boolean settings do not
allow this access. If you have not setup empathy to require this access this may
signal an intrusion attempt. If you do intend this access you need to change the
booleans on this system to allow the access.

Allowing Access:

One of the following booleans is set incorrectly: allow_execstack, allow_execmem

Fix Command:

Choose one of the following to allow access:
Allow unconfined executables to make their stack executable. This should never,
ever be necessary. Probably indicates a badly coded executable, but could
indicate an attack. This executable should be reported in bugzilla")
# setsebool -P allow_execstack 1
Allow unconfined executables to map a memory region as both executable and
writable, this is dangerous and the executable should be reported in bugzilla")
# setsebool -P allow_execmem 1


Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                None [ process ]
Source                        nv-tmp-Rw0bxx
Source Path                   /tmp/nv-tmp-Rw0bxx
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           empathy-2.28.0-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-10.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall_boolean
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31-40.fc12.x86_64
                              #1 SMP Wed Sep 23 17:38:14 EDT 2009 x86_64 x86_64
Alert Count                   13
First Seen                    Sat 26 Sep 2009 01:10:32 AM IST
Last Seen                     Sun 27 Sep 2009 01:35:23 AM IST
Local ID                      52bb8710-5515-4258-941b-3a0074dde2a7
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1253995523.50:157): avc:  denied  { execmem } for  pid=19664 comm="empathy" scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=process

node=(removed) type=SYSCALL msg=audit(1253995523.50:157): arch=c000003e syscall=9 success=yes exit=0 a0=31c7b8c000 a1=35000 a2=7 a3=812 items=0 ppid=19662 pid=19664 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="empathy" exe="/usr/bin/empathy" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= unconfined_t ==============
allow unconfined_t self:process execmem;

Comment 1 vinod 2009-09-26 20:12:23 UTC
Not able to launch empathy.

Tried running 'empathy' at command-line, got the below error:-

empathy: error while loading shared libraries: libGL.so.1: failed to map segment from shared object: Permission denied

Comment 2 Daniel Walsh 2009-09-28 13:33:10 UTC
Turn on the allow_execmem boolean and it will work.

libGL.so.1 is causing your problem.

setsebool -P allow_execmem 1

Comment 3 Bug Zapper 2009-11-16 12:59:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Sergey Rudchenko 2010-01-27 21:51:37 UTC
Thank you for the bug report. Reassigning to the mesa(libGL.so.1) component.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Bug Zapper 2010-11-04 09:48:08 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-12-04 07:37:58 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.